gr::dab::measure_processing_rate Class Reference

<+description of block+> More...

`#include <measure_processing_rate.h>`

Inheritance diagram for gr::dab::measure_processing_rate:
[legend]

## Public Types

typedef std::shared_ptr< measure_processing_rate > | sptr

## Static Public Member Functions

static sptr | make (size_t itemsize, int samples_to_count)
| Return a shared_ptr to a new instance of dab::measure_processing_rate.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<measure_processing_rate> gr::dab::measure_processing_rate::sptr

## Member Function Documentation

## make()

sptr gr::dab::measure_processing_rate::make | ( | size_t | itemsize,
|  | int | samples_to_count )

static

Return a shared_ptr to a new instance of dab::measure_processing_rate.

To avoid accidental use of raw pointers, dab::measure_processing_rate's constructor is in a private implementation class. dab::measure_processing_rate::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- measure_processing_rate.h